SchemasNotIdenticalException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class SchemasNotIdenticalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--uk.ac.ic.doc.automed.AutoMedException
                        |
                        +--uk.ac.ic.doc.automed.reps.SchemasNotIdenticalException

All Implemented Interfaces:
  java.io.Serializable

public class SchemasNotIdenticalException
extends AutoMedException

This exception is generated when an attempt to join to transformation pathways via createIdentTransformation() fails due to the schemas' object schemes being different. The differences can be obtained from the exception via the methods

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk)
See Also:
  Serialized Form

Constructor Summary
`SchemasNotIdenticalException(Schema fromSchema, Schema toSchema, SchemaObject[] fromObjs, SchemaObject[] toObjs)`

Method Summary
`SchemaObject[]` | `getFromObjectsUnmatched()`
`Schema` | `getFromSchema()`
`SchemaObject[]` | `getToObjectsUnmatched()`
`Schema` | `getToSchema()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemasNotIdenticalException

    public SchemasNotIdenticalException(Schema fromSchema,
                                        Schema toSchema,
                                        SchemaObject[] fromObjs,
                                        SchemaObject[] toObjs)

Method Detail

### getFromSchema

    public Schema getFromSchema()

### getToSchema

    public Schema getToSchema()

### getFromObjectsUnmatched

    public SchemaObject[] getFromObjectsUnmatched()

### getToObjectsUnmatched

    public SchemaObject[] getToObjectsUnmatched()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD